<?php 

date_default_timezone_set('America/Lima');
$dia = date("d");
$mes = date("m");
$año = date("Y");

// $dia = "28";
// $mes = "02";
// $año = "2020";
$fechas = "$año-$mes-$dia";
$fechass = strtotime($fechas);
$diax = date("w",$fechass);
$semanax = date("W",$fechass);


// ---------------------------------------------------------


// Obtener la fecha actual
$fecha = new DateTime();

// Sumar un día
$fecha->add(new DateInterval('P1D'));

// Verificar si la nueva fecha es un domingo
if ($fecha->format('w') == 0) {  // 0 corresponde al domingo (1 es lunes, ..., 6 es sábado)
    $fecha->add(new DateInterval('P1D'));  // Sumar un día adicional para que sea lunes
}

// Obtener la nueva fecha en el formato deseado (YYYY-MM-DD)
    $next = $fecha->format('Y-m-d');
    // $next = date("2025-04-22");

    $fecha = date("Y-m-d");
    // $fecha = date("2025-03-28");
     $fechaactual = date("Y-m-d");
     $semanaatras =  date("Y-m-d",strtotime($fechaactual."- 7 days"));
     $diaatras = date("Y-m-d",strtotime("2022-09-01 - 1 days"));

?>